package com.docus.server.archive.mapper;


import com.docus.server.archive.entity.TBasic;
import com.docus.server.archive.entity.TBasicZkInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TBasicMapper {

    /**
     * 根据记帐号查找基础数据
     *
     * @param jzhList 记帐号
     * @return 基础数据
     */
    List<TBasic> getByJzh(@Param("jzhs") List<String> jzhList);

    int insertBatch(@Param("basicList") List<TBasic> basicList);

    int updateBatch(@Param("basicList") List<TBasic> updateList);

    int updateExtend(@Param("basicList") List<TBasic> basicList);

    int delZkInfo(@Param("patientId") String patientId);

    int addZkInfo(@Param("basicZkList") List<TBasicZkInfo> tBasicZkInfoList);

    List<String> getJzhByDisDate(@Param("cyrqStart") String cyrqStart,@Param("offset") int offset,@Param("size") int size);

    int cancenlByJzhs(@Param("jzhs") List<String> cancelJzhs);
}
